Lists
Edit List
Rename an existing list.
https://v1.apifansly.com/api/fansly
PUT
/{account_id}/lists/edit
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
curl -X PUT "https://v1.apifansly.com/api/fansly/{account_id}/lists/edit" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"listId": "listid",
"name": "list_name"
}'fetch("https://v1.apifansly.com/api/fansly/{account_id}/lists/edit", {
method: "PUT",
headers: {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
listId: "listid",
name: "list_name"
})
})import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/lists/edit"
headers = {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
payload = {
"listId": "listid",
"name": "list_name"
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
String requestBody = "{\"listId\":\"listid\",\"name\":\"list_name\"}";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/lists/edit"))
.header("x-api-key", "YOUR_API_KEY")
.header("Content-Type", "application/json")
.PUT(HttpRequest.BodyPublishers.ofString(requestBody))
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var jsonBody = "{\"listId\":\"listid\",\"name\":\"list_name\"}";
var content = new StringContent(jsonBody, Encoding.UTF8, "application/json");
var request = new HttpRequestMessage(HttpMethod.Put, "https://v1.apifansly.com/api/fansly/{account_id}/lists/edit")
{
Content = content
};
var response = await client.SendAsync(request);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"bytes"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/lists/edit"
payload := []byte(`{"listId":"listid","name":"list_name"}`)
req, _ := http.NewRequest("PUT", url, bytes.NewBuffer(payload))
req.Header.Set("x-api-key", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Path Parameters
account_id*
stringThe unique identifier for the connected account.
Request Body
listId*
stringThe unique identifier of the list to edit.
name*
stringThe new name for the list.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"id": "list_id_string",
"accountId": "account_id_string",
"pos": null,
"type": 1,
"label": "list_name"
}
}
},
"timestamp": "2026-06-16T21:34:34.515Z"
}